CREATE USER MAPPING(5sql)

NAME
CREATE USER MAPPING - define a new mapping of a user to a foreign server

SYNOPSIS

CREATE USER MAPPING FOR { username | USER | CURRENT_USER | PUBLIC }
    SERVER servername
    [ OPTIONS ( option 'value' [ , ... ] ) ]

DESCRIPTION

CREATE USER MAPPING defines a mapping of a user to a foreign server. A user mapping typically encapsulates connection information that a foreign-data wrapper uses together with the information encapsulated be a foreign server to access an external data resource.

The owner of a foreign server can create user mappings for that server for any user. Also, a user can create a user mapping for his own user name if USAGE privilege on the server has been granted to the user.

PARAMETERS

username
    The name of an existing user that is mapped to foreign server. CURRENT_USER and USER match the name of the current user. When PUBLIC is specified, a so-called public mapping is created that is used when no user-specific mapping is applicable.

servername
    The name of an existing server for which the user mapping is to be created.

OPTIONS ( option 'value' [, ... ] )
    This clause specifies the options of the user mapping. The options typically define the actual user name and password of the mapping. Option names must be unique. The allowed option names and values are specific to the server's foreign-data wrapper.

EXAMPLES

Create a user mapping for user bob, server foo:

CREATE USER MAPPING FOR bob SERVER foo OPTIONS (user 'bob', password 'secret');

COMPATIBILITY

CREATE USER MAPPING conforms to ISO/IEC 9075-9 (SQL/MED).

SEE ALSO
ALTER USER MAPPING [alter_user_mapping(5)], DROP USER MAPPING [drop_user_mapping(5)], CREATE FOREIGN DATA WRAPPER [create_foreign_data_wrapper(5)], CREATE SERVER [create_server(5)]